Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.apphttps://kyc-api.surepass.app| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token for authentication. Format: Bearer {JWT_TOKEN} |
| Parameter | Type | Description |
|---|---|---|
| data | object | Container object holding the response data |
| data.states | array | Array of state identifiers where RERA verification is available. Values are in snake_case format (e.g., "uttar_pradesh") |
| data.document_type | array | Array of supported document types for RERA verification. Values: "agent" (for RERA-registered agents), "project" (for RERA-registered projects) |
| status_code | integer | HTTP status code of the response (200 for success) |
| message_code | string | Machine-readable code for the response status |
| message | string | Human-readable message describing the result |
| success | boolean | Indicates whether the request was successful |
{
"data": {
"states": [
"uttar_pradesh",
"kerala",
"assam",
"west_bengal",
"madhya_pradesh",
"bihar",
"chhattisgarh",
"delhi",
"karnataka",
"uttarakhand",
"maharashtra",
"gujarat",
"haryana",
"telangana"
],
"document_type": [
"agent",
"project"
]
},
"status_code": 200,
"message_code": "success",
"message": "Success",
"success": true
}{
"status_code": 401,
"success": false,
"message": "Invalid or expired token",
"message_code": "unauthorized"
}curl --location --request GET 'https://kyc-api.surepass.app/api/v1/rera/state-list' \
--header 'Authorization: Bearer <token>'{
"data": {
"states": [
"uttar_pradesh",
"kerala",
"assam",
"west_bengal",
"madhya_pradesh",
"bihar",
"chhattisgarh",
"delhi",
"karnataka",
"uttarakhand",
"maharashtra",
"gujarat",
"haryana",
"telangana"
],
"document_type": [
"agent",
"project"
]
},
"status_code": 200,
"message_code": "success",
"message": "Success",
"success": true
}